summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLasse Collin <lasse.collin@tukaani.org>2022-07-14 20:33:05 +0300
committerLasse Collin <lasse.collin@tukaani.org>2022-07-24 11:37:44 +0300
commit372a0d12c95fad5e5477b4f79646bf66d28e0c31 (patch)
tree69aaabdeb5135347000136178e9703643ce24de1
parentb8e3d0c45b62c81dfc6b350556d77cf2c7401edd (diff)
downloadxz-372a0d12c95fad5e5477b4f79646bf66d28e0c31.tar.gz
Tests: Add the .lzma files to test_files.sh.
-rwxr-xr-xtests/test_files.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/test_files.sh b/tests/test_files.sh
index 0f8a64d..dc50791 100755
--- a/tests/test_files.sh
+++ b/tests/test_files.sh
@@ -53,5 +53,25 @@ do
fi
done
+for I in "$srcdir"/files/good-*.lzma
+do
+ if test -z "$XZ" || "$XZ" -dc "$I" > /dev/null; then
+ :
+ else
+ echo "Good file failed: $I"
+ (exit 1)
+ exit 1
+ fi
+done
+
+for I in "$srcdir"/files/bad-*.lzma
+do
+ if test -n "$XZ" && "$XZ" -dc "$I" > /dev/null 2>&1; then
+ echo "Bad file succeeded: $I"
+ (exit 1)
+ exit 1
+ fi
+done
+
(exit 0)
exit 0